#include <iostream>
#include <string>
 
using namespace std; 
int main()
{
   char c1,c2;
   string rec;
   int a1,a2,i;
   printf("Unesi Perino i Petrino slovo: ");
   scanf("%c%c",&c1,&c2);
   printf("Broj komandi koje poseduju Pera i Petra: ");
   scanf("%d %d",&a1,&a2);
   if(a1==a2)
   {
		for(i=0;i<a1;i++)
  		{
  			rec=rec+c1+c2;
		}
		 cout <<rec<< endl;
	}
	else if(a1-a2==1)	
	{
		for(i=0;i<a2;i++)
  		{
  			rec=rec+c1+c2;
		}
		rec+=c1;
		 cout <<rec<< endl;
	}
	else if(a2-a1==1)	
	{
		for(i=0;i<a1;i++)
  		{
  			rec=rec+c2+c1;
		}
		rec+=c2;
		 cout <<rec<< endl;
	}
	else
	{
		printf("nemoguce");
	}

}